package com.ruoyi.project.ehs.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 工作票对象 t_jobticket
 *
 * @author ruoyi
 * @date 2020-12-01
 */
public class TJobticket extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    private List<TJobticket> children;
    private int tableType;


    /** 装置 */
//    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 开票日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开票日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date kprq;

    /** 签发时间 */
    private String qfsj;

    /** 签发班组 */
    private String qfbz;

    /** 签发人 */
    private String qfr;

    /** 新票/续票 */
    @Excel(name = "新票/续票", dictType = "XPXP")
    private String xpxp;

    /** 延期许可证号 */
    @Excel(name = "延期许可证号")
    private String yqxkzh;

    /** 危害工作许可证号 */
    @Excel(name = "危害工作许可证号")
    private String whgzxkzh;

    /** 动火作业许可证号 */
    @Excel(name = "动火作业许可证号")
    private String dhzyxkzh;

    /** 火票级别 */
    @Excel(name = "火票级别", dictType = "HPJB")
    private String hpjb;

    /** 限制空间许可证号 */
    @Excel(name = "限制空间许可证号")
    private String xzkjxkzh;

    /** 盲板作业许可证号 */
    @Excel(name = "盲板作业许可证号")
    private String mbzyxkzh;

    /** 高处作业许可证号 */
    @Excel(name = "高处作业许可证号")
    private String gczyxkzh;

    /** 高处作业级别 */
    @Excel(name = "高处作业级别")
    private String gczyjb;

    /** 内容 */
    @Excel(name = "工作内容")
    private String content;

    /** BYC负责单位/联系人 */
    @Excel(name = "BYC负责单位/联系人")
    private String byclxr;

    /** 施工单位 */
    @Excel(name = "施工单位")
    private String sgdw;

    /** 联系人 */
    @Excel(name = "联系人")
    private String lxr;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String lxdh;

    /** 销票时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "销票时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xpsj;

    /** 作业票状态 */
    @Excel(name = "作业票状态", dictType = "ZYPZT")
    private String zypzt;

    /** 检查/存档人 */
    private String jccdr;

    /** 未撤销项编号 */
    @Excel(name = "未撤销项编号")
    private String wcxxbh;

    /** 未撤销状态 */
    @Excel(name = "未撤销状态",dictType = "TICKED_WCXZT")
    private String wcxzt;


    /** 撤销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "撤销时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cxsj;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 索引 */
    @Excel(name = "索引")
    private String tag;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    /** 新票/续票次数限制 */
    private Long postponeNumber;

    /** 用户主管 */
    private Long userMg;

    /** 用户单位 */
    private String userUnit;

    /** 票号查询 */
    private String allNo;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setKprq(Date kprq)
    {
        this.kprq = kprq;
    }

    public Date getKprq()
    {
        return kprq;
    }
    public void setQfsj(String qfsj)
    {
        this.qfsj = qfsj;
    }

    public String getQfsj()
    {
        return qfsj;
    }
    public void setQfbz(String qfbz)
    {
        this.qfbz = qfbz;
    }

    public String getQfbz()
    {
        return qfbz;
    }
    public void setQfr(String qfr)
    {
        this.qfr = qfr;
    }

    public String getQfr()
    {
        return qfr;
    }
    public void setXpxp(String xpxp)
    {
        this.xpxp = xpxp;
    }

    public String getXpxp()
    {
        return xpxp;
    }
    public void setYqxkzh(String yqxkzh)
    {
        this.yqxkzh = yqxkzh;
    }

    public String getYqxkzh()
    {
        return yqxkzh;
    }
    public void setWhgzxkzh(String whgzxkzh)
    {
        this.whgzxkzh = whgzxkzh;
    }

    public String getWhgzxkzh()
    {
        return whgzxkzh;
    }
    public void setDhzyxkzh(String dhzyxkzh)
    {
        this.dhzyxkzh = dhzyxkzh;
    }

    public String getDhzyxkzh()
    {
        return dhzyxkzh;
    }
    public void setHpjb(String hpjb)
    {
        this.hpjb = hpjb;
    }

    public String getHpjb()
    {
        return hpjb;
    }
    public void setXzkjxkzh(String xzkjxkzh)
    {
        this.xzkjxkzh = xzkjxkzh;
    }

    public String getXzkjxkzh()
    {
        return xzkjxkzh;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setByclxr(String byclxr)
    {
        this.byclxr = byclxr;
    }

    public String getByclxr()
    {
        return byclxr;
    }
    public void setSgdw(String sgdw)
    {
        this.sgdw = sgdw;
    }

    public String getSgdw()
    {
        return sgdw;
    }
    public void setLxr(String lxr)
    {
        this.lxr = lxr;
    }

    public String getLxr()
    {
        return lxr;
    }
    public void setLxdh(String lxdh)
    {
        this.lxdh = lxdh;
    }

    public String getLxdh()
    {
        return lxdh;
    }
    public void setXpsj(Date xpsj)
    {
        this.xpsj = xpsj;
    }

    public Date getXpsj()
    {
        return xpsj;
    }
    public void setZypzt(String zypzt)
    {
        this.zypzt = zypzt;
    }

    public String getZypzt()
    {
        return zypzt;
    }
    public void setJccdr(String jccdr)
    {
        this.jccdr = jccdr;
    }

    public String getJccdr()
    {
        return jccdr;
    }
    public void setWcxxbh(String wcxxbh)
    {
        this.wcxxbh = wcxxbh;
    }

    public String getWcxxbh()
    {
        return wcxxbh;
    }
    public void setWcxzt(String wcxzt)
    {
        this.wcxzt = wcxzt;
    }

    public String getWcxzt()
    {
        return wcxzt;
    }
    public void setCxsj(Date cxsj)
    {
        this.cxsj = cxsj;
    }

    public Date getCxsj()
    {
        return cxsj;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public void setStartDate(Date startDate) { this.startDate = startDate; }

    public Date getStartDate() { return startDate; }
    public void setEndDate(Date endDate) { this.endDate = endDate; }

    public Date getEndDate() { return endDate; }

    public void setMbzyxkzh(String mbzyxkzh)
    {
        this.mbzyxkzh = mbzyxkzh;
    }

    public String getMbzyxkzh()
    {
        return mbzyxkzh;
    }
    public void setGczyxkzh(String gczyxkzh)
    {
        this.gczyxkzh = gczyxkzh;
    }

    public String getGczyxkzh()
    {
        return gczyxkzh;
    }
    public void setGczyjb(String gczyjb)
    {
        this.gczyjb = gczyjb;
    }

    public String getGczyjb()
    {
        return gczyjb;
    }

    public void setUserMg(Long userMg)
    {
        this.userMg = userMg;
    }

    public Long getUserMg()
    {
        return userMg;
    }

    public void setUserUnit(String userUnit)
    {
        this.userUnit = userUnit;
    }

    public String getUserUnit()
    {
        return userUnit;
    }

    public List<TJobticket> getChildren() {
        return children;
    }

    public void setChildren(List<TJobticket> children) {
        this.children = children;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public int getTableType() {
        return tableType;
    }

    public void setTableType(int tableType) {
        this.tableType = tableType;
    }

    public String getAllNo() {
        return allNo;
    }

    public void setAllNo(String allNo) {
        this.allNo = allNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("kprq", getKprq())
            .append("qfsj", getQfsj())
            .append("qfbz", getQfbz())
            .append("qfr", getQfr())
            .append("xpxp", getXpxp())
            .append("yqxkzh", getYqxkzh())
            .append("whgzxkzh", getWhgzxkzh())
            .append("dhzyxkzh", getDhzyxkzh())
            .append("hpjb", getHpjb())
            .append("xzkjxkzh", getXzkjxkzh())
            .append("content", getContent())
            .append("byclxr", getByclxr())
            .append("sgdw", getSgdw())
            .append("lxr", getLxr())
            .append("lxdh", getLxdh())
            .append("xpsj", getXpsj())
            .append("zypzt", getZypzt())
            .append("jccdr", getJccdr())
            .append("wcxxbh", getWcxxbh())
            .append("wcxzt", getWcxzt())
            .append("cxsj", getCxsj())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
                .append("mbzyxkzh", getMbzyxkzh())
                .append("gczyxkzh", getGczyxkzh())
                .append("gczyjb", getGczyjb())
                .append("postponeNumber", getPostponeNumber())
                .append("userMg", getUserMg())
                .append("userUnit", getUserUnit())
            .toString();
    }

    public Long getPostponeNumber() {
        return postponeNumber;
    }

    public void setPostponeNumber(Long postponeNumber) {
        this.postponeNumber = postponeNumber;
    }


}
